/*
 * Dynamic styles for Woo-elements
 */
header .woocommerce-currency-switcher-form ul.dd-options {
	background-color: $top_panel_bg;
}

/*
 * Woo-elements
 * Listing line Products
 */
.products .product h3,
.tm-categories-carousel-widget-container h3,
.products .product-category h3,
.tm-woowishlist-widget-product h3,
.tm-woocompare-widget-product h3 {
	font-style: $h5_font_style;
	font-weight: $h4_font_weight;
	font-size:  $h5_font_size{px};
	line-height: $h5_line_height;
	font-family: @font_family( $h5_font_family );
	letter-spacing: $h5_letter_spacing{em};
	text-align: $h5_text_align;
	color: $regular_h5_color;
}

.woocommerce .products .product .price,
.woocommerce div.product .woocommerce-variation-price span.price,
.woocommerce div.product span.price,
.woocommerce .price,
.woocommerce div.product p.price,
.woocommerce.widget .woocs_price_code,
.woocommerce div.product p.price ins,
.woocommerce div.product span.price ins{
	color: $regular_accent_color_1;
	font-style: $h5_font_style;
	font-weight: $h5_font_weight;
	font-size: $h5_font_size{px};
	line-height: $h5_line_height;
	font-family: @font_family( $h5_font_family );
	letter-spacing: $h5_letter_spacing{em};
	text-align: $h5_text_align;
}

.tm_banners_grid_widget_banner_title{
	font-style: $h3_font_style;
	font-weight: $h3_font_weight;
	font-size: $h3_font_size{px};
	line-height: $h3_line_height;
	font-family: @font_family( $h6_font_family );
	letter-spacing: $h3_letter_spacing{em};
	text-align: $h3_text_align;
	color: $regular_h3_color;
}

.products .product-category .title_count_block>span,
.tm-categories-carousel-widget-container .tm-categories-carousel-widget-wrapper .title_count_block>span {
	color: $regular_text_color;
}
.products .product-category > a h3:hover,
.tm-categories-carousel-widget-container h3:hover,
.products .product-category > a .title_count_block>span:hover,
.tm-categories-carousel-widget-container .tm-categories-carousel-widget-wrapper .title_count_block>span:hover {
	color: $regular_accent_color_1;
}

.products .product.product-list h3,
.related h4,
.woocommerce-checkout .woocommerce-info,
.woocommerce-checkout-payment .payment_methods li label,
.woocommerce-checkout h2,
.tm_custom_menu_widget h3{
	font-style: $h5_font_style;
	font-weight: $h5_font_weight;
	font-size: $h5_font_size{px};
	line-height: $h5_line_height;
	font-family: @font_family( $h5_font_family );
	letter-spacing: $h5_letter_spacing{em};
	text-align: $h5_text_align;
	color: $regular_h5_color;
}

.woocommerce-checkout h3{
	font-style: $h4_font_style;
	font-weight: $h4_font_weight;
	font-size: $h4_font_size{px};
	line-height: $h4_line_height;
	font-family: @font_family( $h4_font_family );
	letter-spacing: $h4_letter_spacing{em};
	text-align: $h4_text_align;
	color: $regular_h4_color;
}

.woocommerce .site-main .page-title{
	font-style: $h3_font_style;
	font-weight: $h3_font_weight;
	font-size: $h3_font_size{px};
	line-height: $h3_line_height;
	font-family: @font_family( $h3_font_family );
	letter-spacing: $h3_letter_spacing{em};
	text-align: $h3_text_align;
	color: $regular_h3_color;
}

.single-product .woocommerce-message,
.archive.woocommerce .woocommerce-info,
.tm-wc-ajax-products-wrapper .woocommerce-message{
	background: @alpha($regular_accent_color_1, 6% );
}

/*
 * Woo-elements
 */
.woocommerce .tablesaw-bar .tablesaw-advance a.tablesaw-nav-btn,
.woocommerce-product-search label i {
	color: @lighten($regular_text_color, 25%);
}

.woocommerce .tablesaw-bar .tablesaw-advance a.tablesaw-nav-btn:hover {
	color: $regular_accent_color_1;
}

.site-header-cart .cart-contents .count {
	background-color: $regular_accent_color_1;
}

.tm_about_store_widget span {
	font-style: $h4_font_style;
	font-weight: $h4_font_weight;
	font-size: $h4_font_size{px};
	line-height: $h4_line_height;
	font-family: @font_family( $h4_font_family );
	letter-spacing: $h4_letter_spacing{em};
}

.tm_about_store_widget {
	color: $invert_accent_color_1;
}

/*
 * Woo-elements
 * Woocommerce price styles
 */
.woocommerce .products .product .price,
.woocommerce div.product span.price,
.woocommerce div.product p.price,
.woocommerce-cart .woocommerce .amount,
.woocommerce-checkout .woocommerce .amount,
.widget .woocs_price_code ins,
.price {
	font-style: $h5_font_style;
	font-weight: $h5_font_weight;
	font-size:  $h5_font_size{px};
	line-height: $h5_line_height;
	font-family: @font_family( $h5_font_family );
	letter-spacing: $h5_letter_spacing{em};
}

.cart_list li .quantity .amount{
	color: $regular_accent_color_1;
}

.woocommerce.widget_shopping_cart .total,
.woocommerce.widget_shopping_cart .total strong{
	color: $regular_accent_color_2;
	font-style: $h3_font_style;
	font-weight: $h3_font_weight;
	line-height: $h3_line_height;
	font-family: @font_family( $h5_font_family );
	letter-spacing: $h3_letter_spacing{em};
}


.woocommerce .products .product .price del,
.woocommerce div.product p.price del,
.woocommerce div.product span.price del,
.widget .woocs_price_code del {
	color: $regular_link_color;
}

/*
 * Woo-elements
 * Woocommerce product widgets
 */
.woocommerce .widget_layered_nav ul li span{
	color:  $regular_accent_color_1;
}

.woocommerce.widget .product-title,
.woocommerce.widget .product-title a,
.woocommerce ul.cart_list li>a {
	color: $regular_h6_color;
}

.woocommerce.widget .product-title a:hover,
.woocommerce ul.cart_list li>a:hover,
.woocommerce ul.product_list_widget li>a:hover {
	color: $regular_accent_color_1;
}

/* Styles for product-categories */
.woocommerce > ul > li .product-widget-categories,
.woocommerce > ul > li .product-widget-categories a,
.woocommerce > ul span.reviewer,
.woocommerce.widget_shopping_cart .total span,
.woocommerce .widget_layered_nav ul li {
	color: $regular_text_color;
}

.woocommerce > ul > li .product-widget-categories a:hover,
.woocommerce.widget_shopping_cart .total strong,
.woocommerce.widget_shopping_cart ul.cart_list > li dl dt {
	color: $regular_accent_color_1;
}

.invert .woocommerce.widget_shopping_cart .cart_list li.empty {
	color: $regular_text_color;
}

/*
 * Woo-elements
 * Compare and wishlist buttons
 */
.woocommerce .tm-woocompare-button,
.woocommerce .tm-woowishlist-button {
	border-color: @lighten($regular_text_color, 25%);
}
.woocommerce .tm-woocompare-button:hover,
.woocommerce .tm-woowishlist-button:hover {
	border-color: $regular_accent_color_1;
}

.woocommerce .tm-woocompare-page-button.button.alt,
.woocommerce .tm-woowishlist-page-button.button.btn {
	color: @lighten($regular_text_color, 25%);
}

.woocommerce .tm-woocompare-page-button.button.alt:hover,
.woocommerce .tm-woowishlist-page-button.button.btn:hover {
	color: $regular_accent_color_2;
}

.woocommerce button.button.btn {
	color: @lighten($regular_text_color, 25%);
}

.woocommerce button.button.btn:hover,
.woocommerce .tm-quick-view:hover {
	color: $invert_accent_color_1;
	background-color: $regular_accent_color_1;
	border-color: $regular_accent_color_1;
}

.woocommerce .tm-quick-view:hover i{
	color: $invert_accent_color_1;
}

.tm-woocomerce-wishlist-widget-wrapper .tm-woowishlist-widget-product div:not(class) .price del{
	color: $regular_link_color;
}
.tm-woocomerce-wishlist-widget-wrapper .tm-woowishlist-widget-product div:not(class) .price ins{
	background: $invert_accent_color_1;
}
.tm-woocomerce-wishlist-widget-wrapper .tm-woowishlist-widget-product div:not(class) .price ins .woocommerce-Price-amount {
	color: $regular_accent_color_1;
}

.woocommerce .tm-woowishlist-page-button.button.btn:hover {
	color:  $invert_accent_color_1;
	background: $regular_accent_color_2;
	border-color: $regular_accent_color_2;
}
/*
 * Woo-elements
 * Sale-timer styles
 */
.tm-products-sale-end-date span {
	background-color: $invert_text_color;
	color: $regular_text_color;
	font-weight: $h3_font_weight;
	font-size: @font_size($h6_font_size, multiple, ceil, 0.7)px;
	font-family: @font_family( $h6_font_family );
}

/*
 * Woo-elements
 * Styles for tags and categories list -- loop product
 */
.product-categories li,
.product-categories li a,
.product-widget-tags li,
.product-widget-tags li a {
	color: $regular_link_color;
	font-family: @font_family( $h6_font_family );
}

.product-categories li a:hover,
.product-widget-tags li a:hover {
	color: $regular_accent_color_1;
}

.invert .product-categories li a {
	color: $invert_link_color;
}

.invert .product-categories li a:hover {
	color: $invert_link_hover_color;
}

.woocommerce .widget_price_filter .price_slider_amount .button {
	color: $invert_accent_color_1;
	background: $regular_accent_color_2;
	border-color: $regular_accent_color_2;
}


.woocommerce .widget_price_filter .price_slider_amount .button:hover {
	background-color: $regular_accent_color_2;
	border-color: $regular_accent_color_2;
	color: $invert_accent_color_1;
}

.woocommerce .widget_price_filter .price_slider_wrapper .ui-slider .ui-slider-range{
	background:  $regular_accent_color_1;
}

.woocommerce .widget_price_filter .price_slider_wrapper .ui-slider .ui-slider-handle{
	background:  $regular_accent_color_1;
}

.woocommerce .widget_price_filter .price_slider_amount .price_label{
	color: $regular_accent_color_1;
	font-family: @font_family( $h6_font_family );
}

.woocommerce .widget_price_filter.price_filter{
	background: $grey_color_1;
}

/*
 * Woo-elements
 * Buttons woo styles
 */
.woocommerce a.button:not(.wc-forward),
.woocommerce button.button,
.woocommerce button.button.tm-woocompare-empty,
.woocommerce input.button,
.woocommerce #respond input#submit.alt,
.woocommerce a.button.alt,
.woocommerce button.button.alt,
.woocommerce input.button.alt,
.woocommerce a.button.add_to_cart_button.loading,
.woocommerce button.button.btn.tm-wc-ajax-load-more-button,
.tm-wc-ajax-products-wrapper .tm-wc-ajax-filters-wrapper .tm-wc-ajax-filters-attribute{
	color: $regular_accent_color_2;
	background-color: $invert_accent_color_1;
	border-color: $regular_accent_color_1;
}

.tm-wc-ajax-filters-wrapper>span{
	background-color: $regular_accent_color_1;
	color: $invert_accent_color_1;
}

.tm-wc-ajax-products-wrapper .tm-wc-ajax-filters-wrapper .tm-wc-ajax-filters-attribute .tm-wc-ajax-filters-dismiss:hover::after ,
.tm-wc-ajax-products-wrapper .tm-wc-ajax-filters-wrapper .tm-wc-ajax-filters-price .tm-wc-ajax-filters-dismiss:hover::after {
	color: $regular_accent_color_2;
}

.woocommerce #respond input#submit,
.woocommerce table.shop_table tbody tr td.actions input.btn{
	color: $regular_accent_color_2;
	background-color: $invert_accent_color_1;
	border-color: $regular_accent_color_1;
}

.woocommerce #respond input#submit:hover,
.woocommerce table.shop_table tbody tr td.actions input.btn:hover{
	color: $invert_accent_color_1;
	background-color: $regular_accent_color_2;
	border-color: $regular_accent_color_2;
}

.woocommerce .woocommerce-error .wc-forward:hover, 
.woocommerce .woocommerce-info .wc-forward:hover,
.woocommerce .woocommerce-message .wc-forward:hover,
.woocommerce .woocommerce-error:before,
.woocommerce .woocommerce-info:before,
.woocommerce .woocommerce-message:before {
	color: $regular_accent_color_1;
}

.woocommerce a.button:not(.wc-forward):hover,
.woocommerce button.button:hover,
.woocommerce button.button.tm-woocompare-empty:hover,
.woocommerce input.button:hover,
.woocommerce #respond input#submit.alt:hover,
.woocommerce a.button.alt:hover,
.woocommerce button.button.alt:hover,
.woocommerce input.button.alt:hover,
.woocommerce button.button.btn.tm-wc-ajax-load-more-button:hover,
.tm-wc-ajax-filters-wrapper>span:hover,
.tm-wc-ajax-products-wrapper .tm-wc-ajax-filters-wrapper .tm-wc-ajax-filters-attribute:hover{
	color: $invert_accent_color_1;
	background-color: $regular_accent_color_1;
	border-color: $regular_accent_color_1;
}

.woocommerce a.button {
	color: $regular_accent_color_2;
	background-color: $invert_accent_color_1;
	border-color: $regular_accent_color_1;
}

.tm-wc-ajax-products-wrapper .tm-wc-ajax-filters-wrapper .tm-wc-ajax-filters-attribute .tm-wc-ajax-filters-dismiss:after,
.tm-wc-ajax-products-wrapper .tm-wc-ajax-filters-wrapper .tm-wc-ajax-filters-price .tm-wc-ajax-filters-dismiss:after{
	color: $invert_accent_color_1;
}

.woocommerce a.button.product_type_variable:hover {
	color: $invert_accent_color_1;
	background-color: $regular_accent_color_1;
	border-color: $regular_accent_color_1;
}

.woocommerce a.button.product_type_variable:hover:after{
	color: $invert_accent_color_1;
}

/*disable button syles*/
.woocommerce #respond input#submit.alt.disabled,
.woocommerce #respond input#submit.alt.disabled:hover,
.woocommerce #respond input#submit.alt:disabled,
.woocommerce #respond input#submit.alt:disabled:hover,
.woocommerce #respond input#submit.alt:disabled[disabled],
.woocommerce #respond input#submit.alt:disabled[disabled]:hover,
.woocommerce a.button.alt.disabled,
.woocommerce a.button.alt.disabled:hover,
.woocommerce a.button.alt:disabled,
.woocommerce a.button.alt:disabled:hover,
.woocommerce a.button.alt:disabled[disabled],
.woocommerce a.button.alt:disabled[disabled]:hover,
.woocommerce button.button.alt.disabled,
.woocommerce button.button.alt.disabled:hover,
.woocommerce button.button.alt:disabled,
.woocommerce button.button.alt:disabled:hover,
.woocommerce button.button.alt:disabled[disabled],
.woocommerce button.button.alt:disabled[disabled]:hover,
.woocommerce input.button.alt.disabled,
.woocommerce input.button.alt.disabled:hover,
.woocommerce input.button.alt:disabled,
.woocommerce input.button.alt:disabled:hover,
.woocommerce input.button:disabled,
.woocommerce input.button:disabled[disabled],
.woocommerce input.button:disabled:hover,
.woocommerce input.button:disabled[disabled]:hover,
.woocommerce input.button.alt:disabled[disabled],
.woocommerce input.button.alt:disabled[disabled]:hover,
.woocommerce-cart table.cart input.header-btn:disabled {
	background-color: @darken( $regular_accent_color_1, 10% );
	color: $invert_accent_color_1;
}

/*
 * Woo-elements
 * Woo-Badge styles
 */
.woocommerce span.featured,
.woocommerce span.onsale,
.woocommerce span.new {
	color: $invert_accent_color_1;
	font-family: @font_family( $h4_font_family );
}

.woocommerce span.onsale{
	background-color: $onsale_badge_bg;
}

.woocommerce span.featured {
	background-color: $featured_badge_bg;
}

.woocommerce span.new {
	background-color: $new_badge_bg;
}

/*
 * Woo-elements
 * Grid-list toggle buttons
 */
.tm-woo-grid-list-toggle-button .tm-woo-grid-list-toggler {
	color: $regular_link_color;
}

.tm-wc-ajax-products-wrapper .tm-woo-grid-list-toggle-button-wrapper .tm-woo-grid-list-toggle-button .tm-woo-grid-list-toggler.disabled,
.tm-wc-ajax-products-wrapper .tm-woo-grid-list-toggle-button-wrapper .tm-woo-grid-list-toggle-button .tm-woo-grid-list-toggler:hover {
	color:  $regular_accent_color_1;
}

.tm-wc-ajax-products-wrapper .tm-woo-grid-list-toggle-button-wrapper .tm-woo-grid-list-toggle-button .tm-woo-grid-list-toggler:hover{
	color: $regular_accent_color_1;
}


/*
 * Woo-elements
 * Single-product styles
 */
.single-product div.product h1.product_title{
	font-style: $h4_font_style;
	font-weight: $h4_font_weight;
	font-size: $h4_font_size{px};
	line-height: $h4_line_height;
	font-family: @font_family( $h4_font_family );
	letter-spacing: $h4_letter_spacing{em};
	text-align: $h4_text_align;
	color: $regular_h4_color;
}

.woocommerce.single-product #content div.product .product_meta,
.woocommerce-currency-switcher-form .dd-container .dd-selected label,
.woocommerce.single-product #content div.product .product_meta a {
	color: $regular_text_color;
}

.woocommerce.single-product #content div.product .product_meta a:hover {
	color: $regular_accent_color_1;
}

.woocommerce table.shop_attributes th {
	color: $regular_text_color;
}

/*
 * Woo-elements
 * SmartBox widget
 */

.tm-products-smart-box-widget__rd-material-tabs .product h3 {
	font-family: @font_family( $body_font_family );
	font-style: $body_font_style;
	font-weight: $body_font_weight;
	font-size: $body_font_size{px};
	line-height: $body_line_height;
	letter-spacing: $body_letter_spacing{em};
}

.rd-material-tab.rd-material-tab-active a, .tm_custom_menu_widget .menu li a,
.tm-products-smart-box-widget__rd-material-tabs .product h3:hover,
.widget.tm_products_smart_box_widget .rd-material-tabs__list .rd-material-tab a:hover,
.widget.tm_products_smart_box_widget .rd-material-tabs__list .rd-material-tab a:hover:before,
.widget.tm_products_smart_box_widget .rd-material-tabs__list .rd-material-tab.rd-material-tab-active a,
.widget.tm_products_smart_box_widget .rd-material-tabs__list .rd-material-tab.rd-material-tab-active a:before{
	color: $regular_accent_color_1;
}

.tm_custom_menu_widget .menu li a:hover,
.widget.tm_products_smart_box_widget .rd-material-tabs__list .rd-material-tab a,
.widget.tm_products_smart_box_widget .rd-material-tabs__list .rd-material-tab a:before {
	color: $regular_accent_color_2;
}

.tm-products-smart-box-widget__rd-material-tabs .product span.price:hover,
.tm-products-smart-box-widget__rd-material-tabs .product span.price:hover ins,
.tm-products-smart-box-widget__rd-material-tabs .product span.price:hover del {
	color: $regular_text_color;
}
.tm-products-smart-box-widget__rd-material-tabs .product .price del .amount{
	font-size: @font_size($h4_font_size, multiple, ceil, 0.53)px;
}
.tm-products-smart-box-widget__rd-material-tabs .product .price del .amount,
.tm-products-smart-box-widget__rd-material-tabs .product .price del {
	font-family: @font_family( $body_font_family );
}

/**
 * Woo-elements
 * Cart page
 *
 */
.site-header-cart .site-header-cart__wrapper .shopping_cart-dropdown-wrap::after{
	border-color: transparent transparent $invert_accent_color_1;
}

.tm-woowishlist-remove,
.tm-woocompare-remove {
	color: @lighten($regular_text_color, 26.27%);
}

.tm-woowishlist-remove:hover,
.tm-woocompare-remove:hover {
	color: $regular_accent_color_1;
}

.woocommerce a.remove{
	color: @lighten($regular_text_color, 26.27%) !important;
}

.woocommerce a.remove:hover{
	color: $regular_accent_color_1 !important;
}

.woocommerce table.shop_table thead tr,
.woocommerce table.shop_table tbody tr.cart_item:nth-child(even),
.woocommerce table.shop_table tbody tr.order_item:nth-child(even){
	background-color: $invert_accent_color_1;
}

.woocommerce table.shop_table tbody tr.cart_item,
.woocommerce table.shop_table tbody tr.order_item {
	background-color: $invert_accent_color_1;
}

.woocommerce table.shop_table tbody tr td.product-name {
	font-style: $body_font_style;
	font-weight: $body_font_weight;
	font-size: $body_font_size{px};
	line-height: $body_line_height;
	font-family: @font_family( $body_font_family );
	letter-spacing: $body_letter_spacing{em};
	text-align: $body_text_align;
	color: $regular_text_color;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table tbody tr td strong.product-quantity,
table.order_details tbody tr td strong.product-quantity,
.woocommerce table.shop_table tbody tr td.product-name a:hover{
	color: $regular_accent_color_1;
}

.woocommerce table.shop_table thead th,
.cart-collaterals div.cart_totals table tbody tr,
.cart-collaterals div.cart_totals table tbody td,
.cart-collaterals div.cart_totals table tbody td,
.cart-collaterals div.cart_totals table tbody th,
table.shop_table.woocommerce-checkout-review-order-table tfoot tr.tax-total th,
table.shop_table.woocommerce-checkout-review-order-table tfoot tr.tax-rate th,
table.shop_table.woocommerce-checkout-review-order-table tfoot tr.cart-subtotal th,
table.shop_table.woocommerce-checkout-review-order-table tfoot tr.order-total th,
.woocommerce table.shop_table.woocommerce-checkout-review-order-table tbody tr td,
table.order_details tfoot tr,
.woocommerce .order_details li strong,
.woocommerce table.shop_table tbody tr td.product-name a {
	color: $regular_text_color;
	font-family: @font_family( $h5_font_family );
	font-weight: $h5_font_weight;
	font-size: $h5_font_size{px};
	line-height: $h5_line_height;
	color: $regular_h5_color;
}

.site-header-cart .shopping_cart-dropdown-wrap .shopping_cart-header h4{
	font-style: $h5_font_style;
	font-weight: $h5_font_weight;
	font-size: $h5_font_size{px};
	line-height: $h5_line_height;
	font-family: @font_family( $h5_font_family );
	letter-spacing: $h5_letter_spacing{em};
	color: $regular_h5_color;
}

.site-header-cart .shopping_cart-dropdown-wrap .woocommerce-mini-cart__empty-message {
	color: $regular_text_color;
}

.woocommerce ul.product_list_widget li a{
	color: $regular_accent_color_2;
}

.woocommerce ul.product_list_widget li a:hover{
	color: $regular_accent_color_1;
}

.woocommerce.widget_shopping_cart ul.cart_list>li .quantity{
	color: $regular_link_color;
}


.woocommerce-order-received table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details .woocommerce-Price-amount.amount{
	color: $regular_accent_color_1;
}

.woocommerce-cart .entry-content .woocommerce table.shop_table tbody tr td.product-price span,
.woocommerce-cart .entry-content .woocommerce table.shop_table tbody tr td.product-subtotal span{
	color: $regular_accent_color_1;
}

.woocommerce-cart .entry-content .woocommerce table.shop_table tbody tr td.product-remove a.remove:hover::before{
	color: $regular_accent_color_1;
}

.tm-wc-ajax-products-wrapper .tm-wc-ajax-filters-wrapper .tm-wc-ajax-filters-reset.button{
	color: $invert_accent_color_1;
	background-color: $regular_accent_color_2;
	border-color: $regular_accent_color_2;
}

.woocommerce-checkout form.checkout_coupon .form-row .button {
	background: $regular_accent_color_1;
	border-color: $regular_accent_color_1;
	color: $invert_accent_color_1;
}

.woocommerce form.checkout_coupon .form-row-last .button:hover {
	background: $regular_accent_color_2;
	border-color: $regular_accent_color_2;
}

.woocommerce-cart .entry-content .woocommerce table.shop_table tbody tr td.actions .comment-form-url input.button:hover {
	background: $regular_accent_color_2;
	border-color: $regular_accent_color_2;
}

.woocommerce-cart .entry-content .woocommerce .cart_totals table tbody tr.cart-subtotal td .woocommerce-Price-amount,
.woocommerce-cart .entry-content .woocommerce .cart_totals table tbody tr.order-total td .woocommerce-Price-amount,
.woocommerce-checkout table.woocommerce-checkout-review-order-table tbody tr td.product-total span.woocommerce-Price-amount {
	color: $regular_accent_color_1;
}

.woocommerce-checkout table.woocommerce-checkout-review-order-table.shop_table tfoot tr.cart-subtotal td span.amount,
.woocommerce-checkout table.woocommerce-checkout-review-order-table.shop_table tfoot tr.cart-subtotal th span.amount,
.woocommerce-checkout table.woocommerce-checkout-review-order-table.shop_table tfoot tr.order-total td span.amount,
.woocommerce-checkout table.woocommerce-checkout-review-order-table.shop_table tfoot tr.order-total th span.amount{
	color: $regular_accent_color_1;
}

.woocommerce-cart .entry-content .woocommerce table.shop_table tbody tr td.actions .comment-form-url input.button{
	background: $regular_accent_color_1;
	color: $invert_accent_color_1;
}

.woocommerce table.shop_table_responsive tr:nth-child(2n) td, .woocommerce-page table.shop_table_responsive tr:nth-child(2n) td{
	background:  $invert_accent_color_1;
}

.tm-wc-ajax-products-wrapper .tm-wc-ajax-filters-wrapper .tm-wc-ajax-filters-reset.button:hover{
	color: $invert_accent_color_1;
}

.products .product::before{
	background: $invert_accent_color_1;
}

.woocommerce-result-count,
.woocommerce-ordering,
.tm-woo-grid-list-toggle-button-wrapper{
	background: $grey_color_1;
	color: $regular_link_color;
}

.woocommerce-ordering select{
	color: $regular_link_color;
}


.tm-wc-ajax-products-wrapper .woocommerce-ordering select{
	background: $invert_accent_color_1;
}
/**
 * Woo-elements
 * Checkout page
 *
 */
.woocommerce-checkout .woocommerce-info > a,
.woocommerce form.login .form-row label.inline,
.woocommerce form .form-row .select2-container.country_to_state .select2-choice,
.woocommerce form .form-row.create-account label.checkbox,
.woocommerce div.product form.cart .variations label {
	 color: $regular_text_color;
}
.woocommerce-checkout .woocommerce-info > a:hover,
.woocommerce form.login .form-row label.inline:hover,
.woocommerce form .form-row.create-account label.checkbox:hover,
.woocommerce form .form-row .required {
	color: $regular_accent_color_1;
}

.woocommerce form .form-row .select2-container.country_to_state .select2-choice,
.widget-area .woocommerce-currency-switcher-form .dd-container {
	border-color: $grey_color_1;
	background-color: $grey_color_1;
}

#add_payment_method #payment,
.woocommerce-cart #payment,
.woocommerce-checkout #payment {
	background-color: $invert_accent_color_1;
}

.woocommerce form label,
#add_payment_method #payment div.payment_box,
.woocommerce-cart #payment div.payment_box,
.woocommerce-checkout #payment div.payment_box {
	color: $regular_text_color;
}

/**
 * Woo-elements
 * Account page
 *
 */
.woocommerce-account.logged-in .entry-content .woocommerce {
	background-color: $invert_accent_color_1;
}

.woocommerce-account.logged-in .entry-content .woocommerce .woocommerce-MyAccount-content {
	background-color: $invert_accent_color_1;
}

.woocommerce-account.logged-in .woocommerce-MyAccount-navigation,
.woocommerce-checkout h2{
	font-family: @font_family( $h6_font_family );
	font-style: $h6_font_style;
	font-weight: $h6_font_weight;
	font-size: @font_size($h6_font_size, multiple, ceil, .8)px;
	line-height: $h6_line_height;
	letter-spacing: $h6_letter_spacing{em};
}

.woocommerce-checkout h2{
	color: $regular_h6_color;
}

@media (min-width: 1200px) {
	.woocommerce-account.logged-in .woocommerce-MyAccount-navigation {
		font-size: $h6_font_size{px};
	}
}

.woocommerce-account.logged-in .woocommerce-MyAccount-navigation a {
	color: $regular_accent_color_2;
}

.woocommerce-account.logged-in .woocommerce-MyAccount-navigation a:hover,
.woocommerce-account.logged-in .woocommerce-MyAccount-navigation .is-active a {
	color: $regular_accent_color_1;
}

/**
 * Woo-elements
 * Wishlist&Compare style
 *
 */
.woocommerce .tablesaw-bar .tablesaw-advance a.tablesaw-nav-btn:hover{
	color: $regular_accent_color_1;
}

.tm-woocompare-list table.tm-woocompare-table .tm-woocompare-cell .tm-woocompare-remove:hover::before,
.tm-woocompare-list table.tm-woocompare-table .tm-woocompare-row .tm-woocompare-remove:hover::before,
.tm-woocompare-list table.tm-woocompare-table thead th .tm-woocompare-remove:hover::before,
.tm-woocomerce-wishlist-widget-wrapper .tm-woowishlist-widget-product .tm-woowishlist-remove:hover::before,
.tm-woowishlist .tm-woowishlist-item .tm-woowishlist-remove:hover::before,
.tm-woocompare-widget-wrapper .tm-woocompare-widget-product .tm-woocompare-remove:hover::before {
	color: $regular_accent_color_1;
}

.woocommerce.tm-woowishlist .price ins,
.woocommerce.tm-woocompare-list .price ins{
	background-color: $invert_accent_color_1;
	color: $regular_accent_color_1;
}

.woocommerce.tm-woowishlist .price del,
.woocommerce.tm-woocompare-list .price del{
	color: $regular_link_color;
}

.tm-woocompare-table .tm-woocomerce-list__product-title{
	font-style: $h6_font_style;
	font-weight: $h6_font_weight;
	font-size: $h6_font_size{px};
	line-height: $h6_line_height;
	font-family: @font_family( $h6_font_family );
	letter-spacing: $h6_letter_spacing{em};
	text-align: $h6_text_align;
	color: $regular_h6_color;
}

.tm-woowishlist .tm-woowishlist-item .tm-woocomerce-list__product-title a,
.tm-woocompare-table .tm-woocomerce-list__product-title a,
.tm-woocompare-list table.tm-woocompare-table .tm-woocompare-row .title {
	 color: $regular_text_color;
}

.tm-woowishlist .tm-woowishlist-item .tm-woocomerce-list__product-title a:hover,
.tm-woocompare-table .tm-woocomerce-list__product-title a:hover {
	color: $regular_accent_color_1;
}

.tm-woowishlist .tm-woowishlist-item .tm-woocomerce-list__product-title a{
	font-family:@font_family( $h6_font_family );
}

.woocommerce .loader:before,
.woocommerce .blockUI.blockOverlay:before,
.woocommerce .blockUI.blockOverlay:before{
	border-top-color: $regular_accent_color_1;
	border-right-color: $regular_accent_color_1;
}

.woocommerce-store-notice,
p.demo_store{
	background-color: $regular_accent_color_2;
}

.woocommerce .tm-woocompare-page-button.button.alt, .woocommerce .tm-woowishlist-page-button.button.btn,
.search-form.woocommerce-product-search button[type='submit']{
	background: $regular_accent_color_1;
	border-color: $regular_accent_color_1;
	color: $invert_accent_color_1;
}

.woocommerce .tm-woocompare-page-button.button.alt,
.search-form.woocommerce-product-search button[type='submit']:hover{
	background: $regular_accent_color_2;
	border-color: $regular_accent_color_2;
}

.products .product.product-list h3{
	font-style: $h4_font_style;
	font-weight: $h4_font_weight;
	font-size: $h4_font_size{px};
	line-height: $h4_line_height;
	font-family: @font_family( $h4_font_family );
	letter-spacing: $h4_letter_spacing{em};
	text-align: $h4_text_align;
	color: $regular_h4_color;
}

.woocommerce .products .product.product-list .price,
.woocommerce div.product.product-list span.price,
.woocommerce .products .product.product-list .price del,
.woocommerce div.product.product-list span.price del,
.woocommerce .products .product.product-list .price ins,
.woocommerce div.product.product-list span.price ins{
	font-style: $h6_font_style;
	font-weight: $h6_font_weight;
	font-size: $h6_font_size{px};
	line-height: $h6_line_height;
	font-family: @font_family( $h6_font_family );
	letter-spacing: $h6_letter_spacing{em};
	text-align: $h6_text_align;
}

.woocommerce .products .product.product-list .price del,
.woocommerce div.product.product-list span.price del{

}

.woocommerce.single-product div.product .woo-social-buttons > span.custom a,
.woocommerce .single-product div.product .woo-social-buttons > span.custom a{
	color: $regular_link_color;
}

.woocommerce.single-product div.product .woo-social-buttons > span.custom a:hover,
.woocommerce .single-product div.product .woo-social-buttons > span.custom a:hover{
	color: $regular_accent_color_1;
}

.woocommerce.single-product div.product .summary .wishlist_compare_button_block .button.button.btn.alt,
.woocommerce .single-product div.product .summary .wishlist_compare_button_block .button.button.btn.alt{
	color: $regular_text_color;
}

.woocommerce .single-product div.product .summary .wishlist_compare_button_block .button.button.btn.alt:hover,
.woocommerce.single-product div.product .summary .wishlist_compare_button_block .button.button.btn.alt:hover{
	color: $regular_accent_color_1;
}

.woocommerce div.product .single_product_wrapper p.price,
.woocommerce div.product .single_product_wrapper p.price ins,
.woocommerce div.product .single_product_wrapper p.price del {
	font-style: $h6_font_style;
	font-weight: $h6_font_weight;
	font-size: $h6_font_size{px};
	line-height: $h6_line_height;
	font-family: @font_family( $h6_font_family );
	letter-spacing: $h6_letter_spacing{em};
	text-align: $h6_text_align;
}

.woocommerce.single-product div.product h1.product_title,
.woocommerce .single-product div.product h1.product_title{
	font-style: $h3_font_style;
	font-weight: $h3_font_weight;
	font-size: $h3_font_size{px};
	line-height: $h3_line_height;
	font-family: @font_family( $h3_font_family );
	letter-spacing: $h3_letter_spacing{em};
	text-align: $h3_text_align;
}

.woocommerce div.product .woocommerce-tabs ul.tabs li a{
	color: $regular_text_color;
}

.woocommerce .single-product div.product .woocommerce-review-link,
.woocommerce.single-product div.product .woocommerce-review-link{
	color: $regular_accent_color_2;
}

.woocommerce .single-product div.product .single_product_wrapper .enlarge,
.woocommerce.single-product div.product .single_product_wrapper .enlarge{
	background: $invert_accent_color_1;
}

.woocommerce .single-product div.product .single_product_wrapper .enlarge:hover i,
.woocommerce.single-product div.product .single_product_wrapper .enlarge:hover i {
	color: $regular_accent_color_1;
}

.woocommerce .single-product div.product .woocommerce-review-link:hover,
.woocommerce.single-product div.product .woocommerce-review-link:hover{
	color: $regular_accent_color_1;
}

.woocommerce.single-product div.product form.cart .button:hover,
.woocommerce .single-product div.product form.cart .button:hover{
	color: $invert_accent_color_1;
}

.site-header-cart .site-header-cart__wrapper .shopping_cart-dropdown-wrap .mini_cart_item_title{
	color: $regular_accent_color_2;
}

.site-header-cart .site-header-cart__wrapper .shopping_cart-dropdown-wrap .mini_cart_item_title:hover{
	color: $regular_accent_color_1;
}

.site-header-cart .site-header-cart__wrapper .shopping_cart-dropdown-wrap .quantity{
	color: $regular_link_color;
}

.site-header-cart .site-header-cart__wrapper .shopping_cart-dropdown-wrap .woocommerce-mini-cart__bottom-wrap,
.woocommerce.widget_shopping_cart .woocommerce-mini-cart__bottom-wrap {
	background-color: $grey_color_1;
}

.woocommerce.widget_shopping_cart .woocommerce-mini-cart__bottom-wrap .woocommerce-mini-cart__buttons a{
	background: $grey_color_1;
}

.woocommerce.widget_shopping_cart .woocommerce-mini-cart__bottom-wrap .woocommerce-mini-cart__buttons a:hover{
	background:  $regular_accent_color_1;
	color: $invert_accent_color_1;
}

.site-header-cart .site-header-cart__wrapper .shopping_cart-dropdown-wrap .total strong{
	color: $regular_accent_color_2;
}

.site-header-cart .site-header-cart__wrapper .shopping_cart-dropdown-wrap .total .woocommerce-Price-amount,
.site-header-cart .site-header-cart__wrapper .shopping_cart-dropdown-wrap .total .woocommerce-Price-currencySymbol{
	color: $regular_accent_color_1;
}

.site-header-cart .site-header-cart__wrapper .shopping_cart-dropdown-wrap .woocommerce-mini-cart__buttons a{
	background-color: $grey_color_1;
}

.site-header-cart .site-header-cart__wrapper .shopping_cart-dropdown-wrap .woocommerce-mini-cart__buttons a:hover{
	background: $regular_accent_color_1;
	color: $invert_accent_color_1;
}

.woocommerce.single-product div.product .woocommerce-tabs .tabs li{
	background: $grey_color_1;
}

.woocommerce.single-product div.product .woocommerce-tabs .tabs li a{
	color: $regular_accent_color_2;
	font-family: @font_family( $h3_font_family );
}

.woocommerce #reviews #comments ol.commentlist li .comment-text p.meta strong,
.woocommerce #reviews #comments ol.commentlist li .woocommerce-review__published-date{
	font-family: @font_family( $h3_font_family );
	color: $regular_link_color;
}


.woocommerce.single-product div.product .woocommerce-tabs .tabs li:hover,
.woocommerce.single-product div.product .woocommerce-tabs .tabs li.active{
	background: $regular_accent_color_1;
}

.woocommerce.single-product div.product .woocommerce-tabs .tabs li:hover a,
.woocommerce.single-product div.product .woocommerce-tabs .tabs li.active a{
	color: $invert_accent_color_1;
}

.woocommerce.single-product div.product .summary .wishlist_compare_button_block .tm-woowishlist-page-button,
.woocommerce .single-product div.product .summary .wishlist_compare_button_block .tm-woowishlist-page-button{
	color: $regular_text_color;
}

.woocommerce #review_form #respond .form-submit input{
	background:  $regular_accent_color_1;
	border-color:  $regular_accent_color_1;
	color:  $invert_accent_color_1;
}

.woocommerce #review_form #respond .form-submit input:hover{
	background:  $regular_accent_color_2;
	border-color:  $regular_accent_color_2;
	color:  $invert_accent_color_1;
}

.site-header-cart .site-header-cart__wrapper.open .shopping_cart-dropdown-wrap{
	border-top-color: $regular_accent_color_1;
}

.invert .woocommerce.widget_shopping_cart .total span{
	color: $invert_text_color;
}

.woocommerce.widget_shopping_cart .total{
	border-top-color: $regular_text_color;
}

.select2-drop-active,
.woocommerce table.shop_attributes,
.woocommerce .widget_price_filter .price_slider_amount .button,
.woocommerce .widget_price_filter .tm_wc_price_filter_inputs_wrapper .button,
.woocommerce .wishlist_compare_button_block button.button.btn,
.woocommerce .wishlist_compare_button_block .tm-quick-view,
.woocommerce table.shop_attributes tr,
.woocommerce table.shop_attributes th,
.woocommerce.widget_products > ul > li + li,
.woocommerce.widget_top_rated_products > ul > li + li,
.woocommerce.widget_recent_reviews > ul > li + li,
.woocommerce.widget_recently_viewed_products > ul > li + li,
.tm-woocompare-list table.tm-woocompare-table .tm-woocompare-row,
.woocommerce-account.logged-in .entry-content > .woocommerce .woocommerce-MyAccount-content fieldset,
.woocommerce-account.logged-in .entry-content > .woocommerce .woocommerce-MyAccount-content table.shop_table tbody tr + tr td{
	border-color: @darken($grey_color_1, 5.5);
}

.woocommerce.single-product div.product form.cart .variations td.value .reset_variations{
	color: $regular_accent_color_2;
}

.woocommerce.single-product div.product form.cart .variations td.value .reset_variations:hover{
	color: $regular_accent_color_1;
}

.woocommerce .product .wishlist_compare_button_block button.button.btn.tm-woocompare-button .text, .woocommerce .product .wishlist_compare_button_block button.button.btn.tm-woowishlist-button .text{
	color: $invert_accent_color_1;
	background: $regular_accent_color_2;
}